Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225707 - Merge Review: dosfstools
Summary: Merge Review: dosfstools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:29 UTC by Nobody's working on this, feel free to take it
Modified: 2009-02-04 11:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-04 11:02:54 UTC
panemade: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:29:56 UTC
Fedora Merge Review: dosfstools

http://cvs.fedora.redhat.com/viewcvs/devel/dosfstools/
Initial Owner: pvrabec@redhat.com

Comment 1 Ville Skyttä 2007-02-20 22:28:49 UTC
Not a review, but a packaging issue to fix: build produces a useless debuginfo
package due to use of "install -s" in the specfile; dropping the two occurrences
of -s fixes it.
http://www.redhat.com/archives/fedora-maintainers/2007-January/msg00339.html

Comment 2 Peter Vrabec 2007-02-26 09:10:30 UTC
fixed in dosfstools-2.11-7.

Comment 3 Fabian Affolter 2008-12-08 10:18:54 UTC
- '/sbin/' should be replaced with a macro -> https://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#Macros 

- ChangeLog and COPYING needs to be included in %doc

- 3.0.1 is out ( http://www.daniel-baumann.ch/software/dosfstools/ )

Comment 4 Parag AN(पराग) 2008-12-24 04:27:51 UTC
1)I see latest upstream release is 3.0.1 you can build new package in rawhide.
2) you can include ChangeLog and COPYING by adding
mv COPYING ChangeLog doc/
to %prep

Comment 5 Parag AN(पराग) 2009-01-16 10:18:28 UTC
ping?

Comment 6 Peter Vrabec 2009-01-19 10:51:28 UTC
done.

/sbin/ was not replaced, since there is no macro for that. All packages that place their files in /sbin use "/sbin".


I'm removing myself from CC list and assigning kasal as a new maintainer of dosfstools, see:
https://admin.fedoraproject.org/pkgdb/packages/name/dosfstools

Comment 7 Parag AN(पराग) 2009-01-20 04:33:43 UTC
As already suggested in comment #4 and from %files section it will not be good to have this package installing 2 directories
/usr/share/doc/dosfstools
/usr/share/doc/dosfstools-3.0.1

That should be either one.
Please update SPEC and build new package.

Best you can do as suggested in comment #4 is to write 
mv COPYING ChangeLog doc/
to %prep

Comment 8 Parag AN(पराग) 2009-01-29 09:15:53 UTC
ping?

Comment 9 Stepan Kasal 2009-01-30 14:25:15 UTC
fixed in dosfstools-3.0.1-3

Comment 10 Parag AN(पराग) 2009-02-04 06:45:56 UTC
Thanks for your work.
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.